%define req_glib_version	2.31.16
%define req_libidl_version	0.8.14

%define lib_major	0
%define api_version 2.0
%define lib_name	%mklibname %{name}_ %{lib_major}

Name:		ORBit2
Version: 2.14.19
Release: %mkrel 2
Summary:	High-performance CORBA Object Request Broker
License:	LGPLv2+
Group:		Graphical desktop/GNOME
URL:		http://www.gnome.org/projects/ORBit2/
Buildroot:	%{_tmppath}/%{name}-%{version}-buildroot
Source0:	ftp://ftp.gnome.org/pub/GNOME/sources/%{name}/%{name}-%{version}.tar.xz
Patch0:		ORBit2-2.14.4-tmpdir.patch
BuildConflicts:	ORBit-devel < 0.5.10
BuildRequires:	indent bison flex popt-devel >= 1.5
BuildRequires:	glib2-devel >= %{req_glib_version}
BuildRequires:	libIDL2-devel >= %{req_libidl_version}
BuildRequires:  gtk-doc
Requires:	%{lib_name} = %{version}
Requires:	libIDL2
Obsoletes: 	linc < 1.0.3
Conflicts:	%{_lib}linc1
Provides:	linc
Conflicts:	ORBit2 < %{version}
Requires:   	glibc >= 2.10.1
Requires:   	libstdc++6 >= 4.4.1
Obsoletes: 	%name < %version


%description
ORBit is a high-performance CORBA (Common Object Request Broker
Architecture) ORB (object request broker). It allows programs to
send requests and receive replies from other programs, regardless
of the locations of the two programs. CORBA is an architecture that
enables communication between program objects, regardless of the
programming language they're written in or the operating system they
run on.

You will need to install this package if you want to run programs that use
the ORBit implementation of CORBA technology.

#german
%description -l de
ORBit ist ein hoch performanter CORBA- (CORBA Object Request Broker) ORB 
(Object Request Broker). Er erlaubt es Programmen, Anfragen zu senden und 
Antworten von anderen Programmen, unabhängig von deren physischen Orten, 
zu empfangen. Die CORBA-Architektur erlaubt die Kommunikation zwischen 
Programmobjekten, unabhängig von den verwendeten Programmiersprachen und 
Betriebssystemen. 
Dieses Paket enthält die Kommandozeilenprogramme »ior-decode-2« und »typelib-dump«.


%package -n %{lib_name}
Summary:	High-performance CORBA Object Request Broker
Group:		Graphical desktop/GNOME
Provides:	lib%{name} = %{version}-%{release}
Requires:	%{name} >= %{version}
Requires:	libglib2

%description -n %{lib_name}
ORBit is a high-performance CORBA (Common Object Request Broker
Architecture) ORB (object request broker). It allows programs to
send requests and receive replies from other programs, regardless
of the locations of the two programs. CORBA is an architecture that
enables communication between program objects, regardless of the
programming language they're written in or the operating system they
run on.

This package contains all core libraries of the ORBit implementation
of CORBA technology.

#german
%description -n %{lib_name} -l de
ORBit ist ein hoch performanter CORBA- (CORBA Object Request Broker) ORB 
(Object Request Broker). Er erlaubt es Programmen, Anfragen zu senden und 
Antworten von anderen Programmen, unabhängig von deren physischen Orten, 
zu empfangen. Die CORBA-Architektur erlaubt die Kommunikation zwischen 
Programmobjekten, unabhängig von den verwendeten Programmiersprachen und 
Betriebssystemen. 
Das Paket beinhaltet alle Core Bibliotheken für die ORBit Implementierung 
der CORBA Technologie.

%package -n %{lib_name}-devel
Summary:	Development libraries, header files and utilities for ORBit
Summary(de):	Entwickler Bibliotheken, Header Dateien und Dienstprogramme für ORBit
Group:		Development/GNOME and GTK+
Provides:	lib%{name}-devel = %{version}-%{release}
Requires:	%{lib_name} = %{version}
Requires:	%{name} = %{version}
Requires:	libglib2-devel
Requires:	libIDL2-devel
Requires:	popt-devel
Requires:	indent
Conflicts:	ORBit-devel < 0.5.10

%description -n %{lib_name}-devel
This package contains the header files, libraries and utilities
necessary to write programs that use CORBA technology. If you want to
write such programs, you'll also need to install the ORBit package.

#german
%description -n %{lib_name}-devel -l de
Entwickler Paket zum erstellen von Programme die die CORBA Technologie nutzen.
Benötigt auch das ORBit Paket.


%prep
%setup -q
%patch0 -p1 -b .tmpdir

%build

%configure2_5x --enable-gtk-doc --enable-purify 

make

%install
rm -rf %{buildroot}

%makeinstall_std

# multiarch policy
%multiarch_binaries $RPM_BUILD_ROOT%{_bindir}/orbit2-config
%multiarch_includes $RPM_BUILD_ROOT%{_includedir}/orbit-%{api_version}/orbit/orbit-config.h

# Rename doc to prevent name conflict
cp src/services/name/README README.service-name

# remove unpackaged files
rm -f $RPM_BUILD_ROOT%{_libdir}/orbit-%{api_version}/*.a

%clean
rm -rf %{buildroot}
rm -rf $RPM_BUILD_DIR/%{name}-%{version}

%post -n %{lib_name}
/sbin/ldconfig

%postun -n %{lib_name}
/sbin/ldconfig

%files
%defattr(-,root,root,755)
%doc README.service-name AUTHORS NEWS MAINTAINERS README
%{_bindir}/linc-cleanup-sockets
%{_bindir}/ior-decode-2
%{_bindir}/typelib-dump
%{_datadir}/idl/orbit-%{api_version}
%dir %{_libdir}/orbit-%{api_version}
%{_libdir}/orbit-%{api_version}/Everything_module.so

%files -n %{lib_name}
%defattr(-,root,root,755)
%{_libdir}/lib*-2.so.0*

%files -n %{lib_name}-devel
%defattr(-,root,root,755)
%doc %{_datadir}/gtk-doc/html/*
%{_bindir}/orbit2-config
%multiarch %{multiarch_bindir}/orbit2-config
%{_bindir}/orbit-idl-2
%{_datadir}/aclocal/*.m4
%{_includedir}/*
%{_libdir}/lib*.so
%{_libdir}/lib*.a
%attr(644,root,root) %{_libdir}/lib*.la
%{_libdir}/pkgconfig/*.pc
%attr(644,root,root) %{_libdir}/orbit-%{api_version}/Everything_module.la


%changelog
* Sun Mar 04 2012 Neal <nealbrks0 at gmail dot com> 2.14.19-2pclos2012
- process

* Sun Mar 04 2012 leiche <meissssw01 at gmail.com> 2.14.19-2pclos2012
- rebuild for 32 bit

* Sun Nov 03 2010 Texstar <texstar at gmail.com> 2.14.19-1pclos2010
- 2.14.19

* Tue Nov 10 2009 slick50 <lxgator@gmail.com> 2.14.17-1pclos2010
- 2.14.17

* Mon Apr 13 2009 pcserver <pcserver@hushmail.com> 2.14.16-4pclos2007
- conflict to keep duplicate in synaptic

* Mon Apr 13 2009 pcserver <pcserver@hushmail.com> 2.14.16-3pclos2007
- remove --enable-http

* Sat Apr 11 2009 pcserver <pcserver@hushmail.com> 2.14.16-2pclos2007
- rebuild --enable-http

* Sun Oct 19 2008 Neverstopdreaming <neverstopdreaming@gmail.com> 2.14.16-1pclos2007
- New version 2.14.16

* Fri Nov 30 2007 Texstar <texstar@gmail.com> 2.14.10-1pclos2007
- 2.14.10

* Thu Sep 13 2007 Texstar <texstar@gmail.com> 2.14.7-3pclos2007
- rebuild
